Subject: Re: [COSE] 'Common Header Parameters' and 'Key Map Labels'

From: Hannes Tschofenig <[email-masked]>
Date: Sat, 5 Sep 2015 13:54:57 +0200

I personally don't care too much about the label names but I just want
to have them different to avoid confusion

On 08/31/2015 08:18 PM, Mike Jones wrote:
> In earlier comments, I'd suggested renaming "jwk" (JSON Web Key) to "ck" (COSE key).  The other names seem fine to me.
> 
> 				-- Mike
> 
> -----Original Message-----
> From: COSE [mailto:[email-masked]] On Behalf Of Jim Schaad
> Sent: Monday, August 31, 2015 11:11 AM
> To: 'Hannes Tschofenig'; [email-masked]
> Subject: Re: [COSE] 'Common Header Parameters' and 'Key Map Labels'
> 
> 
> 
>> -----Original Message-----
>> From: COSE [mailto:[email-masked]] On Behalf Of Hannes 
>> Tschofenig
>> Sent: Monday, August 31, 2015 12:33 AM
>> To: [email-masked]
>> Subject: [COSE] 'Common Header Parameters' and 'Key Map Labels'
>>
>> Hi Jim, Hi Brian,
>>
>> Table 1 defines 'Common Header Parameters' including kid and alg. 
>> Table
>> 2 'Key Map Labels' defines further labels, such as kid and alg, but 
>> those appear to have different semantic. Maybe it is possible to give 
>> them different labels to reduce confusion.
> 
> The current naming is based what is present in JOSE.  I have no problems with doing a change of names however.
> 
> Could you give some suggestions about how you think that might be re-named?
> 
> Jim
> 
>>
>> Ciao
>> Hannes
>>
>>
> 
> 
> _______________________________________________
> COSE mailing list
> [email-masked]
> https://na01.safelinks.protection.outlook.com/?url=https%3a%2f%2fwww.ietf.org%2fmailman%2flistinfo%2fcose&data=01%7c01%7cMichael.Jones%40microsoft.com%7c3e360bc89b2f4fc73a8808d2b22fc956%7c72f988bf86f141af91ab2d7cd011db47%7c1&sdata=%2fV%2fzTJtKQPwHgO2QYRIboyV%2bwd4vEBrf8rp%2f9apXgRs%3d
>